/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.activation.controllers;

import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import se.vgregion.account.services.InvitePreferencesService;
import se.vgregion.create.domain.InvitePreferences;

import java.beans.PropertyEditorSupport;

/**
 * This class converts between {@link InvitePreferences} and <code>String</code>.
 * <p/>
 * User: pabe
 * Date: 2011-05-16
 * Time: 16:29
 */
public class InvitePreferencesPropertyEditor extends PropertyEditorSupport {

    @Autowired
    private InvitePreferencesService invitePreferencesService;

    @Override
    public void setAsText(String text) {
        if (StringUtils.isNotBlank(text)) {
            Long id = Long.parseLong(text);
            InvitePreferences preferences = invitePreferencesService.find(id);
            setValue(preferences);
        } else {
            setValue(null);
        }
    }

    @Override
    public String getAsText() {
        InvitePreferences preferences = (InvitePreferences) getValue();
        if (preferences != null) {
            return preferences.getId().toString();
        } else {
            return "";
        }
    }

}
